Loading...
Searching...
No Matches
Halide::Runtime::AllocationHeader Struct Reference

A struct acting as a header for allocations owned by the Buffer class itself. More...

`#include <HalideBuffer.h>`

## Public Member Functions

| AllocationHeader (void(*deallocate_fn)(void *))

## Public Attributes

void(* | deallocate_fn )(void *)
std::atomic< int > | ref_count

## Detailed Description

A struct acting as a header for allocations owned by the Buffer class itself.

Definition at line 168 of file HalideBuffer.h.

## Constructor & Destructor Documentation

## AllocationHeader()

Halide::Runtime::AllocationHeader::AllocationHeader | ( | void(* | deallocate_fn )(void *) | ) |

inline explicit

Definition at line 173 of file HalideBuffer.h.

References deallocate_fn, and ref_count.

## Member Data Documentation

## deallocate_fn

void(* Halide::Runtime::AllocationHeader::deallocate_fn) (void *)

Definition at line 169 of file HalideBuffer.h.

Referenced by AllocationHeader().

## ref_count

std::atomic<int> Halide::Runtime::AllocationHeader::ref_count

Definition at line 170 of file HalideBuffer.h.

Referenced by AllocationHeader().

The documentation for this struct was generated from the following file:

- src/runtime/HalideBuffer.h